/*
 *      SCCS:  @(#)  kysymtkycd.m Rel 1.5	    (11/28/91)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1991 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 * 

 */
/* $XConsortium: mcinclude.mc,v 1.2 92/06/29 19:41:37 rws Exp $ */

#include	<stdlib.h>
#include	"xtest.h"
#include	"Xlib.h"
#include	"Xutil.h"
#include	"Xresource.h"
#include	"tet_api.h"
#include	"xtestlib.h"
#include	"pixval.h"
/* $XConsortium: mcextern.mc,v 1.2 92/06/29 19:41:35 rws Exp $ */

extern	Display	*Dsp;
extern	Window	Win;

extern	Window	ErrdefWindow;
extern	Drawable ErrdefDrawable;
extern	GC		ErrdefGC;
extern	Colormap ErrdefColormap;
extern	Pixmap	ErrdefPixmap;
extern	Atom	ErrdefAtom;
extern	Cursor	ErrdefCursor;
extern	Font	ErrdefFont;


#define T_XKeysymToKeycode	1
char    *TestName = "XKeysymToKeycode";



int 	tet_thistest;

/*
 * Assertion XKeysymToKeycode-1.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code 1, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t001()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcd1();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-2.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code 2, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t002()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcd2();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-3.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code 3, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t003()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcd3();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-4.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code 4, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t004()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcd4();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-5.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code A, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t005()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdA();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-6.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code C, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t006()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdC();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-7.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code G, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t007()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdG();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-8.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code H, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t008()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdH();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-9.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code K, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t009()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdK();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-10.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code L, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t010()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdL();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-11.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code M, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t011()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdM();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-12.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code P, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t012()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdP();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-13.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code S, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t013()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdS();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XKeysymToKeycode-14.(A)
 * When the keysym argument is a KeySym in the table which is
 * defined and has code T, then a call to XKeysymToKeycode
 * returns the KeyCode defined for that KeySym.
 */
static void
t014()
{
int 	pass = 0, fail = 0;

	tpstartup();

	kysymtcdT();

	tpcleanup();
	pfcount(pass, fail);
}

/* End of Test Cases */


struct tet_testlist tet_testlist[] = {
	t001, 1,
	t002, 2,
	t003, 3,
	t004, 4,
	t005, 5,
	t006, 6,
	t007, 7,
	t008, 8,
	t009, 9,
	t010, 10,
	t011, 11,
	t012, 12,
	t013, 13,
	t014, 14,
	NULL, 0
};

int 	ntests = sizeof(tet_testlist)/sizeof(struct tet_testlist)-1;

void	(*tet_startup)() = startup;
void	(*tet_cleanup)() = cleanup;
