/*
 *      SCCS:  @(#)  strtkysym.m Rel 1.8	    (11/28/91)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1991 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 * 
 */
/* $XConsortium: mcinclude.mc,v 1.2 92/06/29 19:41:37 rws Exp $ */

#include	<stdlib.h>
#include	"xtest.h"
#include	"Xlib.h"
#include	"Xutil.h"
#include	"Xresource.h"
#include	"tet_api.h"
#include	"xtestlib.h"
#include	"pixval.h"
/* $XConsortium: mcextern.mc,v 1.2 92/06/29 19:41:35 rws Exp $ */

extern	Display	*Dsp;
extern	Window	Win;

extern	Window	ErrdefWindow;
extern	Drawable ErrdefDrawable;
extern	GC		ErrdefGC;
extern	Colormap ErrdefColormap;
extern	Pixmap	ErrdefPixmap;
extern	Atom	ErrdefAtom;
extern	Cursor	ErrdefCursor;
extern	Font	ErrdefFont;


#define T_XStringToKeysym	1
char    *TestName = "XStringToKeysym";



int 	tet_thistest;

/*
 * Assertion XStringToKeysym-1.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t001()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsym1();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-2.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t002()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsym2();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-3.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t003()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsym3();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-4.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t004()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsym4();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-5.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t005()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymA();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-6.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t006()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymC();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-7.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t007()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymG();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-8.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t008()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymH();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-9.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t009()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymK();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-10.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t010()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymL();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-11.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t011()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymM();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-12.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t012()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymP();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-13.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t013()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymS();

	tpcleanup();
	pfcount(pass, fail);
}

/*
 * Assertion XStringToKeysym-14.(A)
 * When the string argument is the name of a KeySym in the
 * table with the prefix XK_ removed, then a call to
 * XStringToKeysym returns that KeySym.
 */
static void
t014()
{
int 	pass = 0, fail = 0;

	tpstartup();

	strtsymT();

	tpcleanup();
	pfcount(pass, fail);
}

/* End of Test Cases */


struct tet_testlist tet_testlist[] = {
	t001, 1,
	t002, 2,
	t003, 3,
	t004, 4,
	t005, 5,
	t006, 6,
	t007, 7,
	t008, 8,
	t009, 9,
	t010, 10,
	t011, 11,
	t012, 12,
	t013, 13,
	t014, 14,
	NULL, 0
};

int 	ntests = sizeof(tet_testlist)/sizeof(struct tet_testlist)-1;

void	(*tet_startup)() = startup;
void	(*tet_cleanup)() = cleanup;
